Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(697)

Unified Diff: crup-runner.sh

Issue 12865010: Refactor with fixes for msys-git. (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/tools/depot_tools
Patch Set: More usage Created 7 years, 9 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | git-crup » ('j') | git-crup » ('J')
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: crup-runner.sh
diff --git a/crup-runner.sh b/crup-runner.sh
index 50c1d06b5df7fb5fda1de5fbdf9908700ceb7166..9377988aef2084b012da7f7ef2b01745efcae58c 100755
--- a/crup-runner.sh
+++ b/crup-runner.sh
@@ -113,7 +113,7 @@ else
submodule="${1#*/}"
echo "[$solution] updating $submodule"
"$GIT_EXE" submodule update --recursive --quiet "$submodule" |
- ( grep -v '^Skipping submodule' || true ) | sed "s|^|[$1] |g"
+ ( grep -v '^Skipping submodule' || true ) | sed "s|^|[$1] |g" 2>/dev/null
iannucci 2013/03/19 22:11:52 Can this lead to silent failures?
szager1 2013/03/20 21:47:01 The lines below that check $? should prevent compl
status=$?
if [ "$status" -ne "0" ]; then
echo "[$solution] FAILED to update $submodule"
« no previous file with comments | « no previous file | git-crup » ('j') | git-crup » ('J')

Powered by Google App Engine
This is Rietveld 408576698